import { api, downloadFile, createApiUrl } from '~/utils/axios';

/**
 * 获取常见问题列表
 * @param {Object} data
 * @return {Promise} api
 */
export function getHistoryList(data) {
    return api.post('WechatHistory.WechatHistory/getWechatHistoryList', data);
}

/**
 * 删除常见问题
 * @param {Object} data
 * @return {Promise} api
 */
export function deleteHistory(data) {
    return api.post('/WechatHistory.WechatHistory/deleteWechatHistory', data, {
        isTransformResponse: true,
        isShowSuccessMessage: true,
        errorMessageText: '删除失败'
    });
}